# Managing Connections

Learn how to approve or reject pending connection requests.
This topic also describes how to view details of pending, active, or disconnected connections.

The Connections API allows you to:

- [Check the connection status at the property level](#get-property-connection-status)
- View the list of pending connection requests
  * [View all connection requests](#get-connection-requests-from-any-property), [view connection requests from specific property](#get-connection-requests-for-a-property)
- View the list of active connections
  * [Across all managed properties](/connectivity/docs/connections-api/managing-connections-api/#get-all-active-connections) or [per property](/connectivity/docs/connections-api/managing-connections-api/#get-active-connection-details-per-property)
- Manage connection requests
  * [Accept](#accept-a-connection-request), or [reject](#reject-a-pending-connection-request)
- [Disconnect an active connection](#deactivate-an-active-connection)
- [View disconnection summaries of all properties](#get-disconnection-summaries-of-all-properties) or [a specific property.](#get-the-disconnection-summary-for-a-property)


## Get property connection status

Check the status of the connection at the property level.


```http
GET
https://supply-xml.booking.com/connections-api/properties/{property_id}/status
```

### Path parameters

The following table describes the elements you must specify in the path:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | Specifies the unique ID of the property. | integer | required |  |


### Response body


```json
{
  "meta": {
    "ruid": "9ffdft22-11c0-40979-b2925-b79776462e3b"
  },
  "warnings": [],
  "errors": [],
  "data": {
    "property_id": 8011855,
    "status": "connected",
    "connected_at": "2023-08-03T14:06:22Z"
  }
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the connection status details. | object | - |
|  | `property_id` | Specifies the property ID. | integer | - |
|  | `status` | Specifies the property's connection state. | enumerated string | For a list of supported connection states, see [Supported connection states.](/connectivity/docs/connections-api/connections-overview/#supported-connection-states) |
|  | `connected_at` | Specifies the date and time (UTC format) when the connection was activated. | datetime | This is only available when `status` is `connected`. |
|  | `requested_at` | Specifies the date and time (UTC format) when the connection was requested. | datetime | This is only available when `status` is `pending`. |


## Get connection requests from any property

Check whether any property has sent a connection request and view their connection request details, if any.
You can [accept](#accept-a-connection-request) or [reject](#reject-a-pending-connection-request) a pending connection request.

### Supported connection types

Possible values are currently:

- `RESERVATIONS`
- `AVAILABILITY`
- `REVIEWS`
- `CONTENT`
- `PHOTOS`
- `MESSAGING`
- `PROMOTIONS`
- `REPORTING`
- `PERFORMANCE`
- `PAYMENTS`


More connection types will be added in the future as we introduce new APIs.
When integrating with Connections API, you should make sure your implementation is prepared to handle unexpected future connection types.


```http
GET
https://supply-xml.booking.com/connections-api/properties/-/requests
```

### Query parameters

The following table describes the elements you can specify in the query:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `start_time` | Filter connection requests sent on or after the specified date and time in UTC format (`YYYY-MM-DD`*T*`HH:MM:SS`*Z*). | date time | optional | For example, `start_time=2024-01-07T10:00:00Z` |
| `end_time` | Filter connection requests sent before the specified date and time in UTC format (`YYYY-MM-DD`*T*`HH:MM:SS`*Z*). | date time | optional | For example, `end_time=2024-02-07T10:00:00Z` |
| `connection_type` | Only include connection requests containing all of the specified connection types.  You can specify multiple `connection types`. | enumerated string | optional | For supported values, see [supported connections types.](#supported-connection-types) |
| `missing_connection_type` | Only include connection requests not containing any of the specified connection types. You can specify multiple `missing_connection type`. | enumerated string | optional | For supported values, see [supported connections types.](#supported-connection-types) |
| `page_size` | Specifies the number of requests to show in a page. | integer | optional | Default: 10. Maximum: 100. |
| `cursor` | Specify the string as returned in the `next_page` or `prev_page` value of an API response to obtain the results for the next or the previous page. | base64 string | optional | - |
| `order_by` | Sorting order in format {field} {asc|desc}. The only supported field is `requested_at`. Default: `requested_at asc` | string | optional | Use `requested_at desc` to sort in descending order. |


### Response body


```json
{
  "meta": {
    "ruid": "98562g8t-3cc4-40br-93we-ae5f9040da51",
    "next_page": "https://supply-xml.booking.com/connections-api/properties/-/requests?cursor=KLMPQSAg3nEAAAMNAGSdep8",
    "prev_page": "https://supply-xml.booking.com/connections-api/properties/-/requests?cursor=BBNWRPCHHLMBMNAAAGJNvzo",
    "prev_count": 10,
    "next_count": 4
  },
  "warnings": [],
  "errors": [],
  "data": [
    {
      "legal_entity": {
        "id": 12345,
        "company_name": "XYZ Test Inc"
      },
      "connection_types": [
        "RESERVATIONS",
        "AVAILABILITY",
        "PHOTOS"
      ],
      "requested_at": "2023-08-07T10:40:54Z",
      "property": {
        "country_code": "nl",
        "zip_code": "1018 VL",
        "id": 8011855,
        "name": "HillTop Hotel",
        "city": "Amsterdam",
        "address": "Nieuwe straat 157"
      },
      "pricing": {
        "currency_code": "EUR",
        "model": "Standard"
      }
    },
    {
      "connection_types": [
        "RESERVATIONS",
        "CONTENT",
        "AVAILABILITY"
      ],
      "requested_at": "2023-08-07T10:41:44Z",
      "property": {
        "country_code": "nl",
        "zip_code": "1018 VL",
        "id": 8135188,
        "name": "Delux HillTop Suites",
        "city": "Amsterdam",
        "address": "Nieuwe straat 157"
      },
      "pricing": {
        "currency_code": "GBP",
        "model": "Standard"
      }
    }
  ]
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
|  | `next_page` | Specifies the link to query the next set of results. | string | This parameter is only available if more results are available. |
|  | `prev_page` | Specifies the link to query the previous set of results. | string | This parameter is only available if the are results available before the current page. |
|  | `prev_count` | Specifies the number of results already listed, available using the link in the `prev_page`. | integer | - |
|  | `next_count` | Specifies the remaining number of results that are available for listing. | integer | - |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the connection requests details. | array | - |
|  | `requested_at` | Specifies the date and time when the connection was requested in UTC format. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
|  | `connection_types` | Specifies the connection types included in the request. | array of enumerated string | For possible values, see [supported connections types](#supported-connection-types). |
| **>** `legal_entity` |  | Specifies the property's legal entity details. | object | Not applicable for some properties. |
|  | `id` | Specifies the legal entity ID. | integer | - |
|  | `company_name` | Specifies the company name. | string | - |
| **>** `property` |  | Contains property details. | object | - |
|  | `id` | Specifies the property ID. | integer | - |
|  | `name` | Specifies the property name. | string | - |
|  | `country_code` | Specifies the property's country code. | string | - |
|  | `zip_code` | Specifies the property's zip code. | string | - |
|  | `city` | Specifies the property's city. | string | - |
|  | `address` | Specifies the property's address. | string | - |
| **>** `pricing` |  | Contains the pricing details. | object | Only included when `AVAILABILITY` connection type is present. |
|  | `currency_code` | Specifies the property's currency code. | string | - |
|  | `model` | Specifies the property's [pricing model](/connectivity/docs/pricing-models/). | enumerated string | - |


## Get the connection request for a property

Check whether a property has sent a connection request and view the connection request details, if any.


```http
GET
https://supply-xml.booking.com/connections-api/properties/{property_id}/request
```

### Path parameters

The following table describes the elements you must specify in the path:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | Specifies the unique ID of the property to which the connection request applies. | integer | required | When not found, the endpoint returns an empty object: `"data": {}` |


### Response body


```json
{
  "meta": {
    "ruid": "e5f0a9e5-c6df-8899-qz00-8l910252a74a"
  },
  "warnings": [],
  "errors": [],
  "data": {
    "legal_entity": {
      "id": 12345,
      "company_name": "XYZ Test Inc"
    },
    "connection_types": [
      "RESERVATIONS",
      "AVAILABILITY",
      "PHOTOS"
    ],
    "requested_at": "2023-08-07T10:40:54Z",
    "property": {
      "country_code": "nl",
      "zip_code": "1018 VL",
      "id": 8011855,
      "name": "HillTop Hotel",
      "city": "Amsterdam",
      "address": "Nieuwe straat 157"
    },
    "pricing": {
      "currency_code": "EUR",
      "model": "Standard"
    }
  }
}
```

### Response body elements

The following table describes the response elements.
The schema of `data` is identical as in the `connections-api/properties/-/requests` endpoint, except there it's an array.

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the connection request details. | object | Contains an empty object (`{}`) if no connection request can be found. |
|  | `requested_at` | Specifies the date and time when the connection was requested in UTC format. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
|  | `connection_types` | Specifies the connection types included in the request. | array of enumerated string | For possible values, see [supported connections types](#supported-connection-types). |
| **>** `legal_entity` |  | Specifies the property's legal entity details. | object | Not applicable for some properties. |
|  | `id` | Specifies the legal entity ID. | integer | - |
|  | `company_name` | Specifies the company name. | string | - |
| **>** `property` |  | Contains property details. | object | - |
|  | `id` | Specifies the property ID. | integer | - |
|  | `name` | Specifies the property name. | string | - |
|  | `country_code` | Specifies the property's country code. | string | - |
|  | `zip_code` | Specifies the property's zip code. | string | - |
|  | `city` | Specifies the property's city. | string | - |
|  | `address` | Specifies the property's address. | string | - |
| **>** `pricing` |  | Contains the pricing details. | object | Only included when `AVAILABILITY` connection type is present. |
|  | `currency_code` | Specifies the property's currency code. | string | - |
|  | `model` | Specifies the property's [pricing model](/connectivity/docs/pricing-models/). | enumerated string | - |


## Get all active connections

List all active connections among the properties associated with your machine account.


```http
GET
https://supply-xml.booking.com/connections-api/properties/-/connections
```

### Query parameters

The following table describes the elements you can specify in the query:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `start_time` | Only include connections with at least one connection type activated on or after the specified date and time in UTC format (`YYYY-MM-DD`*T*`HH:MM:SS`*Z*). | date time | optional | For example, `start_time=2024-01-07T10:00:00Z` |
| `end_time` | Only include connections with at least one connection type activated before the specified date and time in UTC format (`YYYY-MM-DD`*T*`HH:MM:SS`*Z*). | date time | optional | For example, `end_time=2024-02-07T10:00:00Z` |
| `connection_type` | Only include connections containing all of the specified connection types.  You can specify multiple `connection types`. | enumerated string | optional | For supported values, see [supported connections types.](#supported-connection-types) |
| `missing_connection_type` | Only include connections not containing any of the specified connection types. You can specify multiple `missing_connection type`. | enumerated string | optional | For supported values, see [supported connections types.](#supported-connection-types) |
| `page_size` | Specifies the number of active connections to show in a page. | integer | optional | Default: 10. Maximum: 100. |
| `cursor` | Specify the string as returned in the `next_page` or `prev_page` value in the API response. | base64 string | optional | - |
| `order_by` | Sorting order in format {field} {asc|desc}. Supported fields are `connected_at` and `last_connected_at`. Ascending sorting direction is the default and can be omitted.  Default: `connected_at asc` | string | optional | It is also possible to specify multiple (both) sorting columns separated by a comma. For example, `last_connected_at desc, connected_at asc` |


### Query


```json
https://supply-xml.booking.com/connections-api/properties/-/connections?page_size=3&cursor=AAAMNOBoyhgCBCAAAGIfgOE
```

### Response body


```json
{
  "meta": {
    "ruid": "a958e217-597c-345b-9ae4-2de23d5bfb18",
    "next_page": "https://supply-xml.booking.com/connections-api/properties/-/connections?cursor=LKOPLAAg3nEAAAAAAGSdep8",
    "prev_page": "https://supply-xml.booking.com/connections-api/properties/-/connections?cursor=MPSDBEACAALMBAAAAAGJNvzo",
    "prev_count": 6,
    "next_count": 3
  },
  "warnings": [],
  "errors": [],
  "data": [
    {
      "connection_types": {
        "RESERVATIONS": "2022-04-06T16:26:34Z",
        "CONTENT": "2022-04-06T16:26:34Z",
        "REVIEWS": "2022-04-06T16:26:34Z",
        "ONLINECHECKIN": "2022-04-06T16:26:34Z",
        "AVAILABILITY": "2022-04-06T16:26:34Z",
        "REPORTING": "2022-04-06T16:26:34Z",
        "PHOTOS": "2022-04-06T16:26:34Z"
      },
      "connected_at": "2022-04-06T16:26:34Z",
      "last_connected_at": "2022-04-06T16:26:34Z",
      "property": {
        "country_code": "gb",
        "zip_code": "NW9 0AX",
        "id": 8388787,
        "name": "Far Far away Galaxy Villa",
        "city": "London",
        "address": "10, Garden Avenue"
      },
      "pricing": {
        "currency_code": "GBP",
        "model": "Standard"
      }
    },
    {
      "legal_entity": {
        "id": 12345,
        "company_name": "ABCD Test Inc"
      },
      "connection_types": {
        "REVIEWS": "2023-03-02T13:35:48Z"
      },
      "connected_at": "2023-03-02T13:35:48Z",
      "last_connected_at": "2023-03-02T13:35:48Z",
      "property": {
        "country_code": "nl",
        "zip_code": "1017 CE",
        "id": 4154498,
        "name": "Property name",
        "city": "Amsterdam",
        "address": "New straat 597"
      }
    },
    {
      "connection_types": {
        "RESERVATIONS": "2023-06-29T12:35:43Z",
        "CONTENT": "2023-06-29T12:35:43Z",
        "REVIEWS": "2023-06-29T12:35:43Z",
        "AVAILABILITY": "2023-06-29T12:35:43Z",
        "REPORTING": "2023-06-29T12:35:43Z",
        "PHOTOS": "2023-06-29T12:35:43Z"
      },
      "connected_at": "2023-06-29T12:35:43Z",
      "last_connected_at": "2023-06-29T12:35:43Z",
      "property": {
        "country_code": "fr",
        "zip_code": "76000",
        "id": 2154097,
        "name": "ABC's Test Hotel",
        "city": "Sotteville",
        "address": "15 Street"
      },
      "pricing": {
        "currency_code": "EUR",
        "model": "Standard"
      }
    }
  ]
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
|  | `next_page` | Specifies the link to query the next set of results. | string | This parameter is only available if more results are available. |
|  | `prev_page` | Specifies the link to query the previous set of results. | string | This parameter is only available if the are results available before the current page. |
|  | `prev_count` | Specifies the number of results already listed, available using the link in the `prev_page`. | integer | - |
|  | `next_count` | Specifies the remaining number of results that are available for listing. | integer | - |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the connections details. | array | - |
|  | `connected_at` | Specifies the date and time (UTC format) when the connection was activated. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
|  | `last_connected_at` | Mostly shows the same value as `connected_at` except when additional connection types were added to an already existing connection. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
| **>** `connection_types` |  | Specifies the connection types included in the connection together with their connection times. | object | - |
|  | <<*connection-type-name*>> | Specifies the connection type name along with the date and time (UTC format) when it was enabled. | datetime | For possible keys, see [supported connections types](#supported-connection-types). Values follow the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
| **>** `legal_entity` |  | Specifies the property's legal entity details. | object | Not applicable for some properties. |
|  | `id` | Specifies the legal entity ID. | integer | - |
|  | `company_name` | Specifies the company name. | string | - |
| **>** `property` |  | Contains property details. | object | - |
|  | `id` | Specifies the property ID. | integer | - |
|  | `name` | Specifies the property name. | string | - |
|  | `country_code` | Specifies the property's country code. | string | - |
|  | `zip_code` | Specifies the property's zip code. | string | - |
|  | `city` | Specifies the property's city. | string | - |
|  | `address` | Specifies the property's address. | string | - |
| **>** `pricing` |  | Contains the pricing details. | object | Only included when `AVAILABILITY` connection type is present. |
|  | `currency_code` | Specifies the property's currency code. | string | - |
|  | `model` | Specifies the property's [pricing model](/connectivity/docs/pricing-models/). | enumerated string | - |


## Get active connection details per property

List the active connection details for a property managed by you as a provider.


```http
GET
https://supply-xml.booking.com/connections-api/properties/{property_id}/connection
```

### Path parameters

The following table describes the elements you must specify in the path:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | Specifies the unique ID of the property. | integer | required | When not found, the endpoint returns an empty object: `"data": {}` |


### Query parameters

This endpoint does not support any query parameters.

### Response body


```json
{
  "meta": {
    "ruid": "123edd0b-cae7-6954-a71e-17b5275fdecd"
  },
  "warnings": [],
  "errors": [],
  "data": {
    "connected_at": "2023-08-07T13:51:58Z",
    "connection_types": {
      "RESERVATIONS": "2023-08-07T13:51:58Z",
      "AVAILABILITY": "2023-08-07T13:51:58Z",
      "PHOTOS": "2023-08-07T13:51:58Z"
    },
    "last_connected_at": "2023-08-07T13:51:58Z",
    "property": {
      "country_code": "nl",
      "zip_code": "1018 VL",
      "id": 8011855,
      "name": "HillTop Hotel",
      "city": "Amsterdam",
      "address": "Nieuwe straat 157"
    },
    "pricing": {
      "currency_code": "EUR",
      "model": "Standard"
    }
  }
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the connection details. | object | Contains an empty object (`{}`) if no active connection can be found. |
|  | `connected_at` | Specifies the date and time (UTC format) when the connection was activated. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
|  | `last_connected_at` | Mostly shows the same value as `connected_at` except when additional connection types were added to an already existing connection. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
| **>** `connection_types` |  | Specifies the connection types included in the connection together with their connection times. | object | - |
|  | <<*connection-type-name*>> | Specifies the connection type name along with the date and time (UTC format) when it was enabled. | datetime | For possible keys, see [supported connections types](#supported-connection-types). Values follow the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
| **>** `legal_entity` |  | Specifies the property's legal entity details. | object | Not applicable for some properties. |
|  | `id` | Specifies the legal entity ID. | integer | - |
|  | `company_name` | Specifies the company name. | string | - |
| **>** `property` |  | Contains property details. | object | - |
|  | `id` | Specifies the property ID. | integer | - |
|  | `name` | Specifies the property name. | string | - |
|  | `country_code` | Specifies the property's country code. | string | - |
|  | `zip_code` | Specifies the property's zip code. | string | - |
|  | `city` | Specifies the property's city. | string | - |
|  | `address` | Specifies the property's address. | string | - |
| **>** `pricing` |  | Contains the pricing details. | object | Only included when `AVAILABILITY` connection type is present. |
|  | `currency_code` | Specifies the property's currency code. | string | - |
|  | `model` | Specifies the property's [pricing model](/connectivity/docs/pricing-models/). | enumerated string | - |


## Accept a connection request

Accept a pending connection request from a property. To accept multiple connection requests, run this endpoint multiple times with different property IDs.


```http
POST
https://supply-xml.booking.com/connections-api/properties/{property_id}/request:approve
```

### Path parameters

The following table describes the elements you must specify in the path:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | Specifies the unique ID of the property to which the connection request applies. | integer | required | - |


### Request body parameters

Request body is optional. But when present it should be a valid JSON. The following table describes the elements you can add in the request body:

| Element | Attribute | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- | --- |
| `pricing_model` |  | Specifies one of the Booking.com supported pricing types. Only considered when one of the connection types is `AVAILABILITY`. Otherwise, this is ignored. | enumerated string | optional | Accepts the following values:  - `Standard` (default)  - `OBP`  - `LOS`  You must be certified to use any of the non-Standard pricing models. For more information, see [Pricing models.](/connectivity/docs/pricing-models) |
| `connection_types` |  | If specified, must match the exact connection types requested by the property. | enumerated string | optional | Optionally, specify connections types you intend to approve. Only when the connection types you specify match those requested by the property, the endpoint proceeds without an error.  Use this parameter to confirm your connection scope. For supported values, see [supported connections types.](#supported-connection-types)   To get the list of connection types that the property wants you to manage, you can run the [GET connection requests for a property.](#get-connection-requests-for-a-property)  |


### Request body example

The following request body example approves a connection request as shown in the Response body section:


```json
{
  "pricing_model": "Standard",
  "connection_types": [
    "AVAILABILITY",
    "PHOTOS",
    "RESERVATIONS",
    "REVIEWS",
    "REPORTING",
    "CONTENT"
  ]
}
```

### Response body


```json
{
  "meta": {
    "ruid": "4589148fd4f-c8ca-44ad-8b14-e3yu09d602a3"
  },
  "warnings": [],
  "errors": [],
  "data": {
    "legal_entity": {
      "id": 12345,
      "company_name": "XYZ Test Inc"
    },
    "connection_types": {
      "REVIEWS": "2023-08-03T14:06:22Z",
      "CONTENT": "2023-08-03T14:06:22Z",
      "PHOTOS": "2023-08-03T14:06:22Z",
      "AVAILABILITY": "2023-08-03T14:06:22Z",
      "REPORTING": "2023-08-03T14:06:22Z",
      "RESERVATIONS": "2023-08-03T14:06:22Z"
    },
    "connected_at": "2023-08-03T14:06:22Z",
    "last_connected_at": "2023-08-03T14:06:22Z",
    "property": {
      "country_code": "nl",
      "zip_code": "1000 VL",
      "id": 8011855,
      "name": "HillTop Hotel",
      "city": "Amsterdam",
      "address": "Nieuwe straat 157"
    },
    "pricing": {
      "currency_code": "EUR",
      "model": "Standard"
    }
  }
}
```

### Response body elements

The endpoint returns the same response elements as returned by the `/connections-api/properties/{property_id}/connection`.
The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the activated connection details. | object | - |
|  | `connected_at` | Specifies the date and time (UTC format) when the connection was activated. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
|  | `last_connected_at` | Mostly shows the same value as `connected_at` except when additional connection types were added to an already existing connection. | datetime | Follows the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
| **>** `connection_types` |  | Specifies the connection types included in the connection together with their connection times. | object | - |
|  | <<*connection-type-name*>> | Specifies the connection type name along with the date and time (UTC format) when it was enabled. | datetime | For possible keys, see [supported connections types](#supported-connection-types). Values follow the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
| **>** `legal_entity` |  | Specifies the property's legal entity details. | object | Not applicable for some properties. |
|  | `id` | Specifies the legal entity ID. | integer | - |
|  | `company_name` | Specifies the company name. | string | - |
| **>** `property` |  | Contains property details. | object | - |
|  | `id` | Specifies the property ID. | integer | - |
|  | `name` | Specifies the property name. | string | - |
|  | `country_code` | Specifies the property's country code. | string | - |
|  | `zip_code` | Specifies the property's zip code. | string | - |
|  | `city` | Specifies the property's city. | string | - |
|  | `address` | Specifies the property's address. | string | - |
| **>** `pricing` |  | Contains the pricing details. | object | Only included when `AVAILABILITY` connection type is present. |
|  | `currency_code` | Specifies the property's currency code. | string | - |
|  | `model` | Specifies the property's [pricing model](/connectivity/docs/pricing-models/). | enumerated string | - |


### HTTP error codes and possible fix

| HTTP Error Code | OTA Error code | Message | Error Description | Reason | Possible Fix |
|  --- | --- | --- | --- | --- | --- |
| HTTP 403 Forbidden | 497 | Authorization error | Provider not certified for the selected pricing model | You tried to approve a connection request with a pricing model that needs certification.  You must be certified to use any of the non-Standard pricing models. For more information, see [Pricing models.](/connectivity/docs/pricing-models) |  |
| HTTP 403 Forbidden | 635 | Data not found | Connection request not found | We did not find a connection request for the specified property. | Specify the correct property ID to accept a pending connection request, if any. |
| HTTP 400 Bad Request | 1900 | Not applicable to resource | Connection request not found - active connection exists | You can only accept a pending connection request and not an existing connection. | Either specify a pending request to accept or deactivate an existing connection. |
| HTTP 400 Bad Request | 1901 | Invalid value for resource | Connection types in payload do not match the pending connections types | This field is optional. But when provided, the list must exactly match the connection types requested by the property. | Either specify all connection types requested by the property or do not specify the `connection_types` parameter. |


## Reject a pending connection request

Reject a pending connection request from a property.
On successfully rejecting a pending request, the endpoint returns a `200 OK`  HTTP response.
The response does not contain the `data` field.


```http
DELETE
https://supply-xml.booking.com/connections-api/properties/{property_id}/request
```

### Path parameters

The following table describes the elements you must specify in the path:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | Specifies the unique ID of the property to which the connection request applies. | integer | required | - |


### Response body


```json
{
    "meta": {
        "ruid": "2fd09546b-6302-465d-8tr3-8b55b659d204"
    },
    "warnings": [],
    "errors": []
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |


### HTTP error codes and possible fix

| HTTP Error Code | OTA Error code | Message | Error Description | Reason | Possible Fix |
|  --- | --- | --- | --- | --- | --- |
| HTTP 403 Forbidden | 635 | Data not found | Connection request not found | You do not have permission to reject a connection request for the specified property. | Specify the correct property ID to reject a pending connection request, if any. |
| HTTP 400 Bad Request | 1900 | Not applicable to resource | Connection request not found - active connection exists | You can only reject a pending connection request and not an existing connection. | Either specify a pending request to reject or deactivate an existing connection. |


## Deactivate an active connection

Deactivate an active connection to a property.
On successfully deactivating a property's connection, the endpoint returns a `200 OK`  HTTP response.
The response does not contain the `data` field.


```http
DELETE
https://supply-xml.booking.com/connections-api/properties/{property_id}/connection
```

### Path parameters

The following table describes the elements you must specify in the path:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | Specifies the unique ID of the property. | integer | required | - |


### Response body


```json
{
    "meta": {
        "ruid": "2fd09546b-6302-465d-8tr3-8b55b659d204"
    },
    "warnings": [],
    "errors": []
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |


### HTTP error codes and possible fix

| HTTP Error Code | OTA Error code | Message | Error Description | Reason | Possible Fix |
|  --- | --- | --- | --- | --- | --- |
| HTTP 400 Bad Request | 1900 | Not applicable to resource | Connection not found - pending connection request exists | You can only disconnect an active connection. | Either specify a property ID with active connection or reject a pending connection request, if any. |


## Get disconnection summaries of all properties

View disconnection summary details per property for all previously managed properties.
Note that the endpoint also returns partial disconnection details even if there are other connections still connected.

For example, if a property has an active connection with connections type `RESERVATIONS` but has recently disconnected `PHOTOS` connection type,
then the disconnection summary shows the disconnected `PHOTOS` summary details for the property.

We only include disconnections that happened since the last time a property connection state changed to active. This means that activating a connection with a property resets any prior disconnection data for that property.

We only include disconnections that happened since 1 October 2023, midnight UTC.


```http
GET
https://supply-xml.booking.com/connections-api/properties/-/disconnection-summaries
```

### Query parameters

The following table describes the elements you must specify in the query:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `start_time` | Filters results to only include the disconnection data for properties which had any disconnections made on or after the specified date and time in UTC format (`YYYY-MM-DD`*T*`HH:MM:SS`*Z*). | date time | optional | For the filtered properties all their disconnections will be listed, even ones falling outside of the queried time range. |
| `end_time` | Filters results to only include the disconnection data for properties which had any disconnections made before the specified date and time in UTC format (`YYYY-MM-DD`*T*`HH:MM:SS`*Z*). | date time | optional | For the filtered properties all their disconnections will be listed, even ones falling outside of the queried time range. |
| `disconnection_type` | Filter the disconnection data to only include properties disconnected partially or fully. | enumerated string | optional | Possible values are:  - `partial`  - `full`  - `any` (default) |
| `page_size` | Specifies the pagination limit | integer | optional | Default: 10. Maximum: 100. |
| `cursor` | Specify the string as returned in the `next_page` or `prev_page` value in the API response. | base64 string | optional | - |
| `order_by` | Sorting order in format {field} {asc|desc}. The only supported field is `last_disconnected_at`. Default: `last_disconnected_at asc` | string | optional | Use `last_disconnected_at desc` to sort in descending order. |


### Response body


```json
{
  "meta": {
    "ruid": "4901f05a-d4b5-41c4-a1eb-fa406f83a4e5",
    "next_page": "next url",
    "prev_page": "prev url",
    "prev_count": 0,
    "next_count": 10
  },
  "warnings": [],
  "errors": [],
  "data": [
    {
      "property_id": 123123,
      "connection_types": {
        "RESERVATIONS": "2023-12-19T12:34:56Z",
        "CONTENT": "2024-02-13T09:41:03Z",
        "AVAILABILITY": "2023-12-19T12:34:56Z"
      },
      "fully_disconnected": true,
      "last_disconnected_at": "2024-02-13T09:41:03Z"
    },
    {
      "property_id": 987987,
      "connection_types": {
        "PHOTOS": "2024-03-13T09:41:03Z"
      },
      "fully_disconnected": false,
      "last_disconnected_at": "2024-03-13T09:41:03Z"
    }
  ]
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
|  | `next_page` | Specifies the link to query the next set of results. | string | This parameter is only available if more results are available. |
|  | `prev_page` | Specifies the link to query the previous set of results. | string | This parameter is only available if the are results available before the current page. |
|  | `prev_count` | Specifies the number of results already listed, available using the link in the `prev_page`. | integer | - |
|  | `next_count` | Specifies the remaining number of results that are available for listing. | integer | - |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the disconnection data grouped by properties | array | - |
|  | `property_id` | Specifies the property ID. | integer | - |
| **>** `connection_types` |  | Specifies the connection types that were disconnected since the last connection activation, together with their disconnection times. | object | - |
|  | <<*connection-type-name*>> | Specifies the connection type name along with the date and time (UTC format) when it was last disconnected. | datetime | For possible keys, see [supported connections types](#supported-connection-types). Values follow the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
|  | `fully_disconnected` | Specifies whether the disconnection was full or partial. | boolean | Possible values are:  - `true`: Fully disconnected - this property is not connected  - `false`: Partially disconnected - this property remains connected with other connection types |
|  | `last_disconnected_at` | Specifies the date and time when the property had any connection type last disconnected from the provider. Also counts partial disconnections. | datetime |  |


## Get the disconnection summary for a property

View disconnection summary details for a specific property.
Note that the endpoint also returns partial disconnection details even if there are other connections still connected.

For example, if a property has an active connection with connections type `RESERVATIONS` but has recently disconnected `PHOTOS` connection type,
then the disconnection summary shows the disconnected `PHOTOS` summary details for the property.

We only include disconnections that happened since the last time a property connection state changed to active. This means that activating a connection with a property resets any prior disconnection data for that property.

We only include disconnections that happened since 1 October 2023, midnight UTC.


```http
GET
https://supply-xml.booking.com/connections-api/properties/{property_id}/disconnection-summary
```

### Path parameters

The following table describes the elements you must specify in the path:

| Element | Description | Type | Required/Optional | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | Specifies the unique ID of the property. | integer | required | - |


### Response body


```json
{
  "meta": {
    "ruid": "4901f05a-d4b5-41c4-a1eb-fa406f83a4e5",
    "next_page": "next url",
    "prev_page": "prev url",
    "prev_count": 0,
    "next_count": 10
  },
  "warnings": [],
  "errors": [],
  "data": {
    "property_id": 123123,
    "connection_types": {
      "RESERVATIONS": "2023-12-19T12:34:56Z",
      "CONTENT": "2024-02-13T09:41:03Z",
      "AVAILABILITY": "2023-12-19T12:34:56Z"
    },
    "fully_disconnected": true,
    "last_disconnected_at": "2024-02-13T09:41:03Z"
  }
}
```

### Response body elements

The following table describes the response elements:

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `meta` |  | Contains metadata information about the response | object | - |
|  | `ruid` | Specifies the unique request ID. | string | You can share this ID with Booking.com customer support when you run into an issue. This can help in understanding what went wrong. |
| `warnings` |  | Lists potential warnings. | array | This can help improve your requests in the future. |
| `errors` |  | Lists potential errors. | array | This can help in understanding what went wrong with your request. For a list of errors and warnings and how to troubleshoot them, see the topic on [Troubleshooting errors.](/connectivity/docs/connections-api/troubleshooting-connections-api) |
| `data` |  | Contains the disconnection data for the selected property | object | Contains an empty object (`{}`) if no disconnection records can be found, or if the property has re-connected since the last full disconnect. |
|  | `property_id` | Specifies the property ID. | integer | - |
| **>** `connection_types` |  | Specifies the connection types that were disconnected since the last connection activation, together with their disconnection times. | object | - |
|  | <<*connection-type-name*>> | Specifies the connection type name along with the date and time (UTC format) when it was last disconnected. | datetime | For possible keys, see [supported connections types](#supported-connection-types). Values follow the format: `YYYY-MM-DD`*T*`HH:MM:SS`*Z*. |
|  | `fully_disconnected` | Specifies whether the disconnection was full or partial. | boolean | Possible values are:  - `true`: Fully disconnected - this property is not connected  - `false`: Partially disconnected - this property remains connected with other connection types |
|  | `last_disconnected_at` | Specifies the date and time when the property had any connection type last disconnected from the provider. Also counts partial disconnections. | datetime |  |